/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/sgx/core/memory/allocheap.hpp

*/

#ifndef SGX_CORE_MEMORY_ALLOCHEAP_HPP
#define SGX_CORE_MEMORY_ALLOCHEAP_HPP	1

class CSGXMemoryAllocatorHeap : public CSGXMemoryAllocator {
public:
	CSGXMemoryAllocatorHeap(void *ptr, const tMEM_SIZE size, const CSGXMemoryAlignment &alignment);
 
	virtual void *alloc(const tMEM_SIZE size);
	virtual tMEM_SIZE getBlockSize(void *ptr);
	virtual tBOOL freePtr(void *ptr);
	virtual tBOOL freeAll();
};

#endif
 